<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Mettenmeier GmbH - initial implementation
 *   Basys GmbH - automatic report generation implementation
 ********************************************************************************/
-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="navbar-header">
    <a routerLink="/dashboard" class="navbar-brand" id="navHome">
      <span class="d-none d-sm-block">
        <span class="open">Open</span>
        <span class="konsequenz">KONSEQUENZ</span>
      </span>
    </a>
  </div>
  <div>
    <ok-loading-spinner></ok-loading-spinner>
  </div>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample04" aria-controls="navbarsExample04"
    (click)="navbarCollapsed = !navbarCollapsed" [attr.aria-expanded]="!navbarCollapsed" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div [ngbCollapse]="navbarCollapsed" class="collapse navbar-collapse" id="navbarsExample04">
    <ul class="navbar-nav ml-auto">
      <li *ngIf="authService.userHasRoles(['BP_Admin'])" class="nav-item">
        <a class="nav-link" routerLink="/zyklische-reports" routerLinkActive="active" id="navCyclicReports" (click)="navbarCollapsed = true">Zyklische Reports</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/reports" routerLinkActive="active" id="navReporting" (click)="navbarCollapsed = true">Abfrage
          und Reports</a>
      </li>
      <li *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin','BP_Gruppenleiter'])" class="nav-item">
        <a class="nav-link" routerLink="/planung" routerLinkActive="active" id="navStandbySchedule" (click)="navbarCollapsed = true">Planung</a>
      </li>
      <li *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin','BP_Gruppenleiter'])" class="nav-item">
        <a class="nav-link" routerLink="/stammdatenverwaltung" routerLinkActive="active" id="navMasterdataManagement"
          (click)="navbarCollapsed = true">Stammdatenverwaltung</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" target="_blank" id="navHelp" (click)="navbarCollapsed = true;downloadPdf()">Hilfe</a>
      </li>
      <li class="nav-item dropdown mb-2 mb-lg-0" ngbDropdown>
        <button class="btn btn-ok dropdown-toggle w-100" ngbDropdownToggle type="button" id="dropdownMenuButton">
          {{ authService.getUsername() }}
        </button>
        <div ngbDropdownMenu class="dropdown-menu" aria-labelledby="dropdownMenuButton">
          <a class="dropdown-item" routerLink="/loggedout" (click)="logout()" id="dropdownLogout">Abmelden</a>
          <a class="dropdown-item" routerLink="/about" (click)="navbarCollapsed = true" id="dropdownAbout">About</a>
        </div>
      </li>
    </ul>
  </div>
</nav>
<div class="masthead"></div>
